diff options
| author | Mitja Felicijan <mitja.felicijan@gmail.com> | 2026-01-21 22:52:54 +0100 |
|---|---|---|
| committer | Mitja Felicijan <mitja.felicijan@gmail.com> | 2026-01-21 22:52:54 +0100 |
| commit | dcacc00e3750300617ba6e16eb346713f91a783a (patch) | |
| tree | 38e2d4fb5ed9d119711d4295c6eda4b014af73fd /examples/redis-unstable/modules/Makefile | |
| parent | 58dac10aeb8f5a041c46bddbeaf4c7966a99b998 (diff) | |
| download | crep-dcacc00e3750300617ba6e16eb346713f91a783a.tar.gz | |
Remove testing data
Diffstat (limited to 'examples/redis-unstable/modules/Makefile')
| -rw-r--r-- | examples/redis-unstable/modules/Makefile | 90 |
1 files changed, 0 insertions, 90 deletions
diff --git a/examples/redis-unstable/modules/Makefile b/examples/redis-unstable/modules/Makefile deleted file mode 100644 index 11fcdc3..0000000 --- a/examples/redis-unstable/modules/Makefile +++ /dev/null | |||
| @@ -1,90 +0,0 @@ | |||
| 1 | |||
| 2 | SUBDIRS = redisjson redistimeseries redisbloom redisearch | ||
| 3 | |||
| 4 | define submake | ||
| 5 | for dir in $(SUBDIRS); do $(MAKE) -C $$dir $(1); done | ||
| 6 | endef | ||
| 7 | |||
| 8 | all: prepare_source | ||
| 9 | $(call submake,$@) | ||
| 10 | |||
| 11 | get_source: | ||
| 12 | $(call submake,$@) | ||
| 13 | |||
| 14 | prepare_source: get_source handle-werrors setup_environment | ||
| 15 | |||
| 16 | clean: | ||
| 17 | $(call submake,$@) | ||
| 18 | |||
| 19 | distclean: clean_environment | ||
| 20 | $(call submake,$@) | ||
| 21 | |||
| 22 | pristine: | ||
| 23 | $(call submake,$@) | ||
| 24 | |||
| 25 | install: | ||
| 26 | $(call submake,$@) | ||
| 27 | |||
| 28 | setup_environment: install-rust handle-werrors | ||
| 29 | |||
| 30 | clean_environment: uninstall-rust | ||
| 31 | |||
| 32 | # Keep all of the Rust stuff in one place | ||
| 33 | install-rust: | ||
| 34 | ifeq ($(INSTALL_RUST_TOOLCHAIN),yes) | ||
| 35 | @RUST_VERSION=1.92.0; \ | ||
| 36 | ARCH="$$(uname -m)"; \ | ||
| 37 | if ldd --version 2>&1 | grep -q musl; then LIBC_TYPE="musl"; else LIBC_TYPE="gnu"; fi; \ | ||
| 38 | echo "Detected architecture: $${ARCH} and libc: $${LIBC_TYPE}"; \ | ||
| 39 | case "$${ARCH}" in \ | ||
| 40 | 'x86_64') \ | ||
| 41 | if [ "$${LIBC_TYPE}" = "musl" ]; then \ | ||
| 42 | RUST_INSTALLER="rust-$${RUST_VERSION}-x86_64-unknown-linux-musl"; \ | ||
| 43 | RUST_SHA256="e9b977ef480504d3beef0a095b470945af79e8496bcbb0e4a9d4601d6d72dd91"; \ | ||
| 44 | else \ | ||
| 45 | RUST_INSTALLER="rust-$${RUST_VERSION}-x86_64-unknown-linux-gnu"; \ | ||
| 46 | RUST_SHA256="d2ccef59dd9f7439f2c694948069f789a044dc1addcc0803613232af8f88ee0c"; \ | ||
| 47 | fi ;; \ | ||
| 48 | 'aarch64') \ | ||
| 49 | if [ "$${LIBC_TYPE}" = "musl" ]; then \ | ||
| 50 | RUST_INSTALLER="rust-$${RUST_VERSION}-aarch64-unknown-linux-musl"; \ | ||
| 51 | RUST_SHA256="0c35fca319d01c3d55345d44dbe66c987858c45e262a77c4db679e9869b0af73"; \ | ||
| 52 | else \ | ||
| 53 | RUST_INSTALLER="rust-$${RUST_VERSION}-aarch64-unknown-linux-gnu"; \ | ||
| 54 | RUST_SHA256="3e383f8b4fca710d0600d0c1de97b78281672be2cda6575ecbe1c183a12e3822"; \ | ||
| 55 | fi ;; \ | ||
| 56 | *) echo >&2 "Unsupported architecture: '$${ARCH}'"; exit 1 ;; \ | ||
| 57 | esac; \ | ||
| 58 | echo "Downloading and installing Rust standalone installer: $${RUST_INSTALLER}"; \ | ||
| 59 | wget --quiet -O $${RUST_INSTALLER}.tar.xz https://static.rust-lang.org/dist/$${RUST_INSTALLER}.tar.xz; \ | ||
| 60 | echo "$${RUST_SHA256} $${RUST_INSTALLER}.tar.xz" | sha256sum -c --quiet || { echo "Rust standalone installer checksum failed!"; exit 1; }; \ | ||
| 61 | tar -xf $${RUST_INSTALLER}.tar.xz; \ | ||
| 62 | (cd $${RUST_INSTALLER} && ./install.sh); \ | ||
| 63 | rm -rf $${RUST_INSTALLER} | ||
| 64 | endif | ||
| 65 | |||
| 66 | uninstall-rust: | ||
| 67 | ifeq ($(INSTALL_RUST_TOOLCHAIN),yes) | ||
| 68 | @if [ -x "/usr/local/lib/rustlib/uninstall.sh" ]; then \ | ||
| 69 | echo "Uninstalling Rust using uninstall.sh script"; \ | ||
| 70 | rm -rf ~/.cargo; \ | ||
| 71 | /usr/local/lib/rustlib/uninstall.sh; \ | ||
| 72 | else \ | ||
| 73 | echo "WARNING: Rust toolchain not found or uninstall script is missing."; \ | ||
| 74 | fi | ||
| 75 | endif | ||
| 76 | |||
| 77 | handle-werrors: get_source | ||
| 78 | ifeq ($(DISABLE_WERRORS),yes) | ||
| 79 | @echo "Disabling -Werror for all modules" | ||
| 80 | @for dir in $(SUBDIRS); do \ | ||
| 81 | echo "Processing $$dir"; \ | ||
| 82 | find $$dir/src -type f \ | ||
| 83 | \( -name "Makefile" \ | ||
| 84 | -o -name "*.mk" \ | ||
| 85 | -o -name "CMakeLists.txt" \) \ | ||
| 86 | -exec sed -i 's/-Werror//g' {} +; \ | ||
| 87 | done | ||
| 88 | endif | ||
| 89 | |||
| 90 | .PHONY: all clean distclean install $(SUBDIRS) setup_environment clean_environment install-rust uninstall-rust handle-werrors | ||
